[asterisk-scf-commits] asterisk-scf/integration/gitall.git branch "master" updated.

Commits to the Asterisk SCF project code repositories asterisk-scf-commits at lists.digium.com
Fri Apr 15 09:31:38 CDT 2011


branch "master" has been updated
       via  f3a8a9d6ec7d8dc25d17fb46897fcb09a192211f (commit)
       via  dbe60c9d90ef8117624063ad605a9281ce97dba6 (commit)
      from  e9e090742cf56187981e61df3117280b29f4f761 (commit)

Summary of changes:
 gitall-asterisk-scf.sh |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)


- Log -----------------------------------------------------------------
commit f3a8a9d6ec7d8dc25d17fb46897fcb09a192211f
Author: Kevin P. Fleming <kpfleming at digium.com>
Date:   Fri Apr 15 09:31:18 2011 -0500

    Use a relative path for the --work-tree argument.

diff --git a/gitall-asterisk-scf.sh b/gitall-asterisk-scf.sh
index 14a17dc..2cb747a 100755
--- a/gitall-asterisk-scf.sh
+++ b/gitall-asterisk-scf.sh
@@ -188,7 +188,7 @@ EOF
                 if git --git-dir=${repoDir}/.git rev-parse --verify @{upstream} > /dev/null 2>&1; then
                     upstream=$(git --git-dir=${repoDir}/.git for-each-ref --format="%(upstream:short)" $(git --git-dir=${repoDir}/.git rev-parse --symbolic-full-name HEAD))
                     echo ">> Pulling from ${upstream} (${repoDir})"
-                    git --work-tree=${repoDir} --git-dir=${repoDir}/.git pull
+                    git --git-dir=${repoDir}/.git --work-tree=.. pull
                 else
                     echo "-- Skipping ${repoDir}; no upstream branch"
                 fi
@@ -225,7 +225,7 @@ function passthrough()
 	    local -a replace_push=(${replace_pull[@]/PUSH/${gitdepot_push}})
 	    local -a gitargs=(${replace_push[@]})
             echo ">> git" "${gitargs[@]}" "(${repoName})"
-            git --work-tree=${repoDir} --git-dir=${repoDir}/.git "${gitargs[@]}"
+            git --git-dir=${repoDir}/.git --work-tree=.. "${gitargs[@]}"
             if test $? -ne 0; then
                 echo >&2
                 echo "!! Failed to '$1' ${repoName}." >&2
@@ -245,7 +245,7 @@ function dry_run()
             echo "!! Repo ${repoName} not yet cloned" >&2
             exit 1
         fi
-        git --work-tree=${repoDir} --git-dir=${RepoDir}/.git "$@" --dry-run --quiet
+        git --git-dir=${RepoDir}/.git --work-tree=.. s"$@" --dry-run --quiet
         if test $? -ne 0; then
             echo >&2
             echo "!! Would fail to '$1' ${repoName}." >&2
@@ -259,7 +259,7 @@ function dry_run()
             repoDir=$(basename ${repo})
             repoName=$(basename "$(cd ${repoDir} && pwd)")
             echo ">> git" "$@" "(${repoName})"
-            git --work-tree=${repoDir} --git-dir=${RepoDir}/.git "$@"
+            git --git-dir=${RepoDir}/.git --work-tree=.. "$@"
             if test $? -ne 0; then
                 echo "!! Failed to 'push' ${repoName}." >&2
                 exit 1

commit dbe60c9d90ef8117624063ad605a9281ce97dba6
Author: Kevin P. Fleming <kpfleming at digium.com>
Date:   Fri Apr 15 09:30:53 2011 -0500

    Remember to specify the name of the remote (origin) for 'git remote set-url'.

diff --git a/gitall-asterisk-scf.sh b/gitall-asterisk-scf.sh
index 0427aa2..14a17dc 100755
--- a/gitall-asterisk-scf.sh
+++ b/gitall-asterisk-scf.sh
@@ -177,9 +177,9 @@ EOF
 
             if [ -d ${repoDir}/.git ]; then
                 # update the origin to what is specified in repoUri
-                git --git-dir=${repoDir}/.git remote set-url ${repoUri}
+                git --git-dir=${repoDir}/.git remote set-url origin ${repoUri}
                 if test ${gitdepot_push}; then
-                    git --git-dir=${repoDir}/.git remote set-url --push ${repoPushUri}
+                    git --git-dir=${repoDir}/.git remote set-url --push origin ${repoPushUri}
                 else
 		    # we really should use 'git remote set-url --delete' here, but coming up
 		    # with the proper regex syntax for the URL to be match seems to be difficult

-----------------------------------------------------------------------


-- 
asterisk-scf/integration/gitall.git



More information about the asterisk-scf-commits mailing list